MCPatcher導入時にエラーが出てしまいます

テクスチャやMODの導入に関する質問はこちらでどうぞ!
フォーラムルール
質問関連フォーラムで質問する時は、必ず次のトピックを一読/厳守お願い致します。
viewtopic.php?f=5&t=999
  • (PostNo.316064)

MCPatcher導入時にエラーが出てしまいます

投稿記事by 猫クラフター » 2018年4月25日(水) 16:00

mcpatcherをいれようとしているのですが、mcpatcher.exe起動時に下記のようなエラーが出てしまいます。
[An unexpected error occurred.
java.io.IOException:Could no get list of launcher profiles
Check the log tab for more information.]
ランチャープロファイルのリストが取得できません、詳細はログを参照とのことが書かれたエラーが発生しログを見たのですが全くわかりません。
ちなみにログには下記のような文字が羅列されていました。

MCPatcher version is 5.0.3
OS: Windows 7 6.1 x86
JVM: Oracle Corporation 1.8.0_77 (32 bit)
Classpath: E:\Games\minecraft\mcpatcher-5.0.3.exe
Fetching https://s3.amazonaws.com/Minecraft.Down ... ons.json...
com.google.gson.JsonSyntaxException: java.lang.IllegalStateException: Expected a string but was BEGIN_OBJECT at line 30 column 20
at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:176)
at com.google.gson.Gson.fromJson(Gson.java:803)
at com.google.gson.Gson.fromJson(Gson.java:741)
at com.prupe.mcpatcher.JsonUtils.parseJson(JsonUtils.java:36)
at com.prupe.mcpatcher.JsonUtils.parseJson(JsonUtils.java:21)
at com.prupe.mcpatcher.launcher.profile.ProfileList.getProfileList(ProfileList.java:20)
at com.prupe.mcpatcher.ProfileManager.rebuildProfileList(ProfileManager.java:175)
at com.prupe.mcpatcher.ProfileManager.refresh(ProfileManager.java:69)
at com.prupe.mcpatcher.MainForm$19.runImpl(MainForm.java:605)
at com.prupe.mcpatcher.MainForm$UIWorker.run(MainForm.java:1095)
Caused by: java.lang.IllegalStateException: Expected a string but was BEGIN_OBJECT at line 30 column 20
at com.google.gson.stream.JsonReader.nextString(JsonReader.java:821)
at com.google.gson.internal.bind.TypeAdapters$13.read(TypeAdapters.java:358)
at com.google.gson.internal.bind.TypeAdapters$13.read(TypeAdapters.java:346)
at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$1.read(ReflectiveTypeAdapterFactory.java:93)
at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:172)
... 9 more
java.io.IOException: Could not get list of launcher profiles
at com.prupe.mcpatcher.ProfileManager.rebuildProfileList(ProfileManager.java:177)
at com.prupe.mcpatcher.ProfileManager.refresh(ProfileManager.java:69)
at com.prupe.mcpatcher.MainForm$19.runImpl(MainForm.java:605)
at com.prupe.mcpatcher.MainForm$UIWorker.run(MainForm.java:1095)

解決策などありましたら教えていただきたいです。
ちなみに環境ですが、
本体ver 1.7.10
MCPatcher 5.0.3
modはなにも入っていません。
あと.minecraftのフォルダをcドライブから移動しております。
猫クラフター
ID:7b9543a8
 

  • (PostNo.316070)

Re: MCPatcher導入時にエラーが出てしまいます

投稿記事by 猫クラフター » 2018年4月25日(水) 19:14

解決できました。
MCPatcherを古いバージョンで起動すればできました。
最新のものででもゲームバージョンを選択できたので、できるものと勘違いしておりました。
猫クラフター
ID:7b9543a8
 


Return to 質問:MOD/テクスチャ/その他ツール関係

x